testing::internal::SuiteApiResolver< T > Struct Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::SuiteApiResolver< T >:

## Public Types

using | Test = typename std::conditional< sizeof(T) !=0, ::testing::Test, void >::type

## Static Public Member Functions

static SetUpTearDownSuiteFuncType | GetSetUpCaseOrSuite ()
static SetUpTearDownSuiteFuncType | GetTearDownCaseOrSuite ()

## Detailed Description

### template<typename T>
struct testing::internal::SuiteApiResolver< T >

Definition at line 6952 of file gtest.h.

## Member Typedef Documentation

## Test

template<typename T >

using testing::internal::SuiteApiResolver< T >::Test = typename std::conditional<sizeof(T) != 0, ::testing::Test, void>::type

Definition at line 6956 of file gtest.h.

## Member Function Documentation

## GetSetUpCaseOrSuite()

template<typename T >

static SetUpTearDownSuiteFuncType testing::internal::SuiteApiResolver< T >::GetSetUpCaseOrSuite | ( |  | ) |

inlinestatic

Definition at line 6958 of file gtest.h.

## GetTearDownCaseOrSuite()

template<typename T >

static SetUpTearDownSuiteFuncType testing::internal::SuiteApiResolver< T >::GetTearDownCaseOrSuite | ( |  | ) |

inlinestatic

Definition at line 6971 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h